.hero {
  grid-template-rows: 1fr max-content;
  grid-template-columns: var(--h-padding) 1fr var(--h-padding);
  block-size: calc(100dvh - var(--navbar-height));
  color: #fff;
  letter-spacing: 0%;
  background-repeat: no-repeat;
  background-size: cover;
  justify-items: start;
  display: grid;

  &:before {
    content: " ";
    mix-blend-mode: multiply;
    background-color: #0032a0e5;
    grid-area: 2 / 1 / span 1 / -1;
    inline-size: 100%;
  }

  & hgroup {
    grid-area: 2 / 2 / span 1 / span 1;
    block-size: max-content;
    inline-size: 100%;
    max-inline-size: 1040px;
    margin-inline: auto;
  }

  & hgroup > * {
    z-index: 1;
    position: relative;
  }

  & h2 {
    line-height: 1;
  }

  & p {
    line-height: 1.4;
  }
}

@media screen and (width >= 900px) {
  .hero {
    --h-padding: 200px;
  }

  .hero hgroup {
    padding-block: 48px;
  }

  .hero h2 {
    margin-bottom: 24px;
    font-size: 68px;
  }
}

@media screen and (width <= 899px) {
  .hero {
    --h-padding: 24px;
  }

  .hero hgroup {
    padding-block: 24px;
  }

  .hero h2 {
    margin-bottom: 8px;
    font-size: 42px;
  }
}

.section {
  & .wrapper {
    max-width: 1040px;
  }

  & h3 {
    letter-spacing: -1%;
    line-height: 1.1;
  }

  & p {
    line-height: 1.5;
  }

  & hgroup > p {
    color: var(--dark-gray);
    letter-spacing: 0%;
    font-size: 16px;
  }

  & .wrapper > p {
    letter-spacing: 0.5%;
    font-size: 20px;
  }
}

@media screen and (width >= 900px) {
  .section {
    padding: 80px 200px;
  }

  .section .wrapper {
    margin: 0 auto;
  }

  .section h3 {
    font-size: 48px;
  }
}

@media screen and (width <= 899px) {
  .section {
    padding: 64px 24px;
  }

  .section .wrapper {
    display: contents;
  }

  .section h3 {
    font-size: 32px;
  }
}

.hero-v2 {
  block-size: calc(100dvh - var(--navbar-height));
  color: #fff;
  letter-spacing: 0%;
  background-repeat: no-repeat;
  background-size: cover;
  flex-direction: column;
  justify-content: end;
  display: flex;

  & .blue-bg {
    block-size: max-content;
    inline-size: 100%;
    padding: 1.5rem;
    position: relative;

    & > * {
      z-index: 1;
      position: relative;
    }

    &:before {
      content: " ";
      mix-blend-mode: multiply;
      background-color: #0032a0e5;
      position: absolute;
      inset: 0;
    }

    & .container {
      padding-inline: 0;

      @media screen and (width >= 900px) {
        padding-inline: var(--container-inline-padding);
      }
    }
  }

  & h2 {
    margin-block-end: .5rem;
    font-size: 2.625rem;
    line-height: 1;

    @media screen and (width >= 900px) {
      font-size: 4.25rem;
    }
  }
}

.action-button {
  background-color: var(--green);
  color: #000;
  text-transform: uppercase;
  -webkit-user-select: none;
          user-select: none;
  flex-wrap: nowrap;
  align-items: center;
  gap: 16px;
  width: max-content;
  height: 48px;
  padding: 0 24px;
  font-weight: 600;
  text-decoration-line: none;
  display: flex;

  &.dark {
    border: 2px solid var(--green);
    background-color: var(--dark-gray);
    color: var(--green);
    padding: 0 22px;
  }
}

@media screen and (width <= 899px) {
  .action-button:not(:has(img)) {
    justify-content: center;
    width: 100%;
  }
}

.card {
  background-color: #fff;
  padding: 24px;
  font-size: 18px;
  box-shadow: 3px 3px #9eb5cb;

  & > :not(:last-child) {
    margin-bottom: 16px;
  }

  & h4 {
    color: var(--blue);
    letter-spacing: 10%;
    text-transform: uppercase;
    font-size: 24px;
    line-height: 1.2;
  }

  & ul {
    padding-left: 0;
  }

  & li {
    display: block;
  }

  & li:not(:last-child) {
    margin-bottom: 18px;
  }

  & .button {
    max-inline-size: none;
    margin-block-start: 1rem;
  }
}

.photo-card {
  background-color: #fff;
  width: 100%;
  display: flex;
  box-shadow: 3px 3px #9eb5cb;

  & div {
    padding: 24px;
  }

  & h4 {
    color: var(--blue);
    letter-spacing: 0.5%;
    margin-bottom: 16px;
    font-size: 24px;
    line-height: 1.2;
  }

  & p {
    font-size: 16px !important;
  }

  & p:not(:last-child) {
    margin-bottom: 18px;
  }

  & .photo {
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    flex-shrink: 0;
    inline-size: 30%;
    min-inline-size: 250px;
    display: block;
  }
}

@media screen and (width >= 900px) {
  .photo-card:not(:last-child) {
    margin-bottom: 32px;
  }

  .photo-card .photo {
    max-width: 300px;
  }

  .photo-card div {
    border-left: 4px solid var(--green);
  }
}

@media screen and (width <= 899px) {
  .photo-card {
    flex-direction: column;
  }

  .photo-card:not(:last-child) {
    margin-bottom: 28px;
  }

  .photo-card .photo {
    aspect-ratio: 1.5;
    inline-size: 100%;
  }

  .photo-card div {
    border-top: 4px solid var(--green);
  }
}

.call-to-action {
  background-color: #002267;
  flex-direction: column;
  align-items: center;
  width: 100%;
  height: max-content;
  display: flex;

  & b {
    color: #fff;
    letter-spacing: -1%;
    text-align: center;
    line-height: 1.1;
  }
}

@media screen and (width >= 900px) {
  .call-to-action {
    gap: 40px;
    padding: 80px 200px;
  }

  .call-to-action b {
    font-size: 48px;
  }
}

@media screen and (width <= 899px) {
  .call-to-action {
    gap: 24px;
    padding: 64px 20px;
  }

  .call-to-action b {
    font-size: 32px;
  }
}

.navbar {
  background-color: var(--dark-gray);
  z-index: 999;
  width: 100%;
  height: var(--navbar-height);
  -webkit-user-select: none;
          user-select: none;
  position: sticky;
  top: 0;
  box-shadow: 0 4px 6px #0003;

  & ul {
    padding: 0;
  }

  & ul :is(li, a) {
    display: block;
  }

  & ul li a {
    color: #fff;
    font-size: 20px;
    line-height: 1;
    text-decoration-line: none;
  }

  & ul li a:hover {
    background-color: var(--gray);
  }

  justify-content: space-between;
  display: flex;

  & h1 {
    align-self: center;
  }

  & h1, & button.open-menu {
    grid-row: 1 / span 1;
  }

  & .mobile-header {
    justify-content: space-between;
    align-items: center;
    display: flex;
  }
}

@media screen and (width >= 900px) {
  :root {
    --navbar-height: 84px;
  }

  .navbar {
    & h1 {
      width: 150px;
      height: 23px;
      margin-left: 32px;
    }

    & button.open-menu {
      display: none;
    }

    & nav {
      grid-template-columns: subgrid;
      grid-column: 2 / span 2;
      display: grid;
    }

    & ul {
      display: flex;
    }

    & ul li a {
      height: 100%;
      padding: 24px;
      line-height: 36px;
    }

    & ul li a.current {
      border-bottom: 4px solid var(--green);
      padding-bottom: 20px;
    }

    & .button {
      align-self: center;
      max-inline-size: fit-content;
      margin-right: 2rem;
    }
  }
}

@media screen and (width <= 899px) {
  :root {
    --navbar-height: 56px;
  }

  .navbar {
    flex-direction: column;
    justify-content: start;

    &[open] {
      height: 100dvh;

      & .button {
        display: block;
      }
    }

    &[open] button.open-menu {
      background-image: url("/svg/x.svg");
    }

    &:not([open]) nav {
      display: none;
    }

    &:not([open]) button.open-menu {
      background-image: url("/svg/hamburger.svg");
    }

    & h1 {
      width: 105px;
      height: 16px;
      margin-left: 24px;
    }

    & button.open-menu {
      width: 64px;
      height: var(--navbar-height);
      background-color: #0000;
      background-position: 16px;
      background-repeat: no-repeat;
      border: 0;
      border-radius: 0;
      padding: 0;
    }

    & button.open-menu:hover {
      cursor: pointer;
    }

    & ul {
      margin-block: 48px;
    }

    & ul li a {
      padding: 20px 24px;
    }

    & ul li a.current {
      border-left: 4px solid var(--green);
      padding-left: 20px;
    }

    & .button {
      margin-top: 48px;
      inline-size: auto;
      margin-inline: 24px;
      display: none;
    }
  }
}

.footer {
  background-color: var(--dark-gray);
  color: #fff;
  flex-direction: column;
  align-items: center;
  display: flex;

  & ul {
    padding-left: 0;
  }

  & li {
    display: block;
  }

  & a {
    color: #fff;
  }

  & nav ul {
    display: flex;
  }

  & .line {
    background-color: var(--gray);
    height: 1px;
  }

  & .reach-our-team-title {
    color: var(--green);
    letter-spacing: 0%;
    font-size: 1rem;
    font-weight: 700;
    line-height: 1.5;
  }

  & .reach-our-team {
    font-size: 14px;
  }

  & .reach-our-team :is(li, a) {
    height: max-content;
  }

  & .reach-our-team li {
    grid-template-columns: repeat(2, max-content);
    align-items: center;
    column-gap: 10px;
    display: grid;
  }

  & .reach-our-team li:nth-child(2) {
    grid-template-rows: repeat(3, max-content);
  }

  & .reach-our-team li:nth-child(2) div {
    grid-area: 1 / 2 / -1 / -1;
    margin-top: -2px;
  }

  & .copyright {
    color: var(--silver);
    letter-spacing: 10%;
    text-transform: uppercase;
    font-size: 10px;
    line-height: 1.5;
  }
}

@media screen and (width >= 900px) {
  .footer {
    gap: 80px;
    padding: 80px 20px 24px;
  }

  .footer > img {
    height: 53px;
  }

  .footer nav {
    font-size: 16px;
  }

  .footer nav ul {
    gap: 64px;
  }

  .footer .line {
    width: 800px;
  }

  .footer .reach-our-team {
    grid-template-rows: repeat(4, max-content);
    grid-template-columns: repeat(3, max-content);
    justify-items: center;
    column-gap: 80px;
    display: grid;
  }

  .footer .reach-our-team .reach-our-team-title {
    grid-column: 1 / -1;
    margin-bottom: 24px;
  }

  .footer .reach-our-team :is(address, ul) {
    grid-template-rows: subgrid;
    grid-template-columns: subgrid;
    grid-column: 1 / -1;
    display: grid;
  }

  .footer .copyright {
    margin-top: -24px;
  }

  .footer .copyright br {
    display: none;
  }
}

@media screen and (width <= 899px) {
  .footer {
    gap: 56px;
    padding: 48px 24px 24px;
  }

  .footer > img {
    height: 39px;
  }

  .footer nav {
    font-size: 16px;
  }

  .footer nav ul {
    flex-direction: column;
    align-items: center;
    gap: 32px;
  }

  .footer .line {
    width: 100%;
  }

  .footer .reach-our-team .reach-our-team-title {
    width: max-content;
    margin: 0 auto 20px;
  }

  .footer .reach-our-team li:not(:last-child) {
    margin-bottom: 20px;
  }

  .footer .copyright {
    text-align: center;
  }
}
